#[macro_use]
extern crate validator_derive;

use actix_web::{App, HttpServer};

mod boot;
mod module;

#[actix_web::main]
async fn main() -> std::io::Result<()> {
    boot::start();
    HttpServer::new(move || App::new()
        .service(module::handler::api_routes())
    ).bind(boot::global().addr())?.run().await
}
